Android Studio 4.1 Canary: Firebase Crashlytics breaks android project compilation

This is now fixed in Crashlytics Gradle plugin version 2.0.0-beta04.

So upgrade the project build.gradle file with:

...
dependencies {
        classpath "com.android.tools.build:gradle:$gradle_version"
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
        classpath "com.google.firebase:firebase-crashlytics-gradle:2.0.0-beta04"
    }
...

This problem seems to occur when using the new Android Studio 4.1 Canary.
The only workaround I’ve found is to go back to using the Android Studio 4.0 Beta, don’t forget to also adjust the Android gradle plugin version to com.android.tools.build:gradle:4.0.0-beta02.

If you are playing around with Jetpack Compose and need 4.1 I guess you will have to disable Crashlytics until this is fixed either in Android Studio or the Crashlytics plugin.

Leave a Comment